/************************************************************************************************************
											validate check box
***************************************************************************************************************/
function uncheck(obj,b) //app
{
	var b=b;
	//alert(b);
		alert(b);
	
}

function unchecks(obj,a) //rtn
{	var a=a;
		alert(a);
	
}

/**********************************************************************************************************
											allocate stamp details
*********************************************************************************************************/
function validateStampDetails()
{	var pattern=/^[0-9]+$/;
//validate tic1
	var x=document.forms["allocate_stamp"]["tic1"];
	if ((!pattern.test(x.value)))
	{
		alert("तिकिटाच्या माहिती मध्ये चिन्ह व अक्षर नसावे!!!...");
		x.focus();
		return false;
	}
	else 
		
	//validate ref dt
	var y=document.forms["allocate_stamp"]["tic1"];
	if ((!pattern.test(y.value)))
	{
		alert("तिकिटाच्या माहिती मध्ये चिन्ह व अक्षर नसावे!!!...");
		y.focus();
		return false;
	}
	
		//rec ref dt
	var z=document.forms["allocate_stamp"]["tic1"];
	if ((!pattern.test(z.value)))
	{
		alert("तिकिटाच्या माहिती मध्ये चिन्ह व अक्षर नसावे!!!...");
		z.focus();
		return false;
	}
	
	if(x.value==0 && y.value==0 && z.value==0)
	{
		alert("तिकीटाची माहिती टाका !!!...");
		a.focus();
		return false;
	}
} 			
	/*******************************************************************
								Adding User Validations
		*******************************************************************/
function validateAvakbarnishiol()
{
//validate sandharbh no
	var x=document.forms["avakbarnishiol"]["refno"];
	if (x.value=="")
	{
		alert("संदर्भाचा क्रमांक टाका !!!");
		x.focus();
		return false;
	}
	/* else if(x.value.length>40)
	{
		alert(" संदर्भाचा क्रमांक 40 पेक्षा जास्त आहे !!!");
		x.value="";
		x.focus();
		return false;
	}*/
	
	//validate ref dt
	var date = /^(0[1-9]|[12][0-9]|3[01])[-](0[1-9]|1[012])[-](19|20)\d\d$/
	var x=document.forms["avakbarnishiol"]["refdate"];
	if (x.value=="")
	{
		alert("कृपया संदर्भाची दिनांक टाका !!!");
		x.focus();
		return false;
	}
	else if ((!date.test(x.value)))
	{
		alert("दिनांक 25-03-2014 या पद्धतीने टाका");
		x.value="";
		x.focus();
		return false;
	}
		//rec ref dt
	var date = /^(0[1-9]|[12][0-9]|3[01])[-](0[1-9]|1[012])[-](19|20)\d\d$/
	var x=document.forms["avakbarnishiol"]["recdate"];
	if (x.value=="")
	{
		alert("कृपया प्राप्त दिनांक टाका !!!");
		x.focus();
		return false;
	}
	else if ((!date.test(x.value)))
	{
		alert("दिनांक 25-03-2014 या पद्धतीने टाका");
		x.value="";
		x.focus();
		return false;
	}
	 //sender name
	var x=document.forms["avakbarnishiol"]["sendernm"];
	if (x.value=="")
	{
		alert("कृपया व्यक्तीचे नाव टाका !!!");
		x.value="";
		x.focus();
		return false;
	}
	else if(x.value.match(/[0-9]/))
	{
		alert(" व्यक्तीचे नावामध्ये अंक नसावे !!!");
		x.value="";
		x.focus();
		return false;
	}
	/* else if(x.value.match(/[`~,.<>;':"\/\[\]\|{}()-=_+$%^&*!@#?]/))
	{
		alert("व्यक्तीचे नावामध्ये चिन्ह नसावे !!!");
		x.value="";
		x.focus();
		return false;
	} */

	//subject
	var x=document.forms["avakbarnishiol"]["sub"];
	if (x.value=="")
	{
		alert("संदर्भाचा विषय थोडक्यात टाका !!!");
		x.focus();
		return false;
	}
	else if(x.value.length>200)
	{
		alert("संदर्भाचा विषय 200 पेक्षा जास्त नको !!!");
		x.value="";
		x.focus();
		return false;
	}
	
	//ltrtype
	var x=document.forms["avakbarnishiol"]["ltrtypec"];
	if (x.value=="")
	{
		alert("संदर्भाचा प्रकार निवडा !!!");
		x.focus();
		return false;
	}
	
	//email
	var emailpattern = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/
	var x=document.forms["avakbarnishiol"]["email"];
	if(x.value=="")
	{
		alert("कृपया ईमेल आय. डी. टाका !!!");
		x.value="";
		x.focus();
		return false;
	}
	if(x.value.length>60)
	{
		alert("ईमेल आय. डी. ६० अक्षरापेक्षा जास्त नसावा  !!!");
		x.value="";
		x.focus();
		return false;
	}
	else if ((!emailpattern.test(x.value)))
	{
		alert(" अवैध  ईमेल आय. डी. !!!");
		x.value="";
		x.focus();
		return false;
	}
	
	//Mobile no
	var phonepattern = /^[7-9][0-9]{9}$/
	//var phnno=/^[0-9]\d{2,4}-\d{6,8}$/
	var x=document.forms["avakbarnishiol"]["mobno"];
	//alert(x.value);
	if(x.value=="")
	{
		alert("कृपया मोबाईल क्रं. टाका !!!");
		x.value="";
		x.focus();
		return false;
	}
	else if(isNaN(x.value))
	{
		alert(" मोबाईल क्रं. मध्ये फक्त अंक असावे  !!!");
		x.value="";
		x.focus();
		return false;
	}
	else if(x.value.length!=10)
	{
		alert(" मोबाईल क्रं. फक्त १० अंकी असावा !!!");
		x.value="";
		x.focus();
		return false;
	}
	else if(!phonepattern.test(x.value))
	{
		alert("अवैध मोबाईल क्रं!!!");
		x.value="";
		x.focus();
		return false;
	}
	
	
	//address
	var x=document.forms["avakbarnishiol"]["add"];
	if (x.value=="")
	{
		alert("पत्ता  टाका !!!");
		x.focus();
		return false;
	}
	else if(x.value.length>200)
	{
		alert("पत्ता 200 पेक्षा जास्त नको !!!");
		x.value="";
		x.focus();
		return false;
	}
	else if(x.value.match(/[`~<>'"\/\[\]\|{}()=+$%^&*!@#?]/))
	{
		alert("पत्तामध्ये चिन्ह नसावे !!!");
		x.value="";
		x.focus();
		return false;
	}
}
	
	
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//add user
///////////////////////////////////////////////////////////////////////////////////////////////////////////////
		
function validateForm()
{	
	//login id
	var x=document.forms["myform"]["logid"];
	if (x.value=="")
	{
		alert(" कृपया युजर आय.डी. टाका !!");
		x.focus();
		return false;
	}
	else if(x.value.length>20)
	{
		alert(" युजर आय.डी. २० अक्षरापेक्षा जास्त नसावा  !!!");
		x.value="";
		x.focus();
		return false;
	}
		else if(x.value.length<5)
	{
		alert("युजर आय.डी. ५ अक्षरापेक्षा जास्त नसावा  !!!");
		x.value="";
		x.focus();
		return false;
	}
	//pw
	var x=document.forms["myform"]["password"];
	if (x.value=="")
	{
		alert("कृपया  Password टाका !!!");
		x.focus();
		return false;
	}
	else if(x.value.length>20)
	{
		alert("Password २० अक्षरापेक्षा जास्त नसावा  !!!");
		x.value="";
		x.focus();
		return false;
	}
		else if(x.value.length<5)
	{
		alert("Password ५ अक्षरापेक्षा जास्त नसावा !!!");
		x.value="";
		x.focus();
		return false;
	}
	//user name
	
	var x=document.forms["myform"]["usernm"];
	if (x.value=="")
	{
		alert("कृपया व्यक्तीचे नाव टाका !!!");
		x.value="";
		x.focus();
		return false;
	}
	else if(x.value.match(/[0-9]/))
	{
		alert(" व्यक्तीचे नावामध्ये अंक नसावे !!!");
		x.value="";
		x.focus();
		return false;
	}
	/* else if(x.value.match(/[`~,.<>;':"\/\[\]\|{}()-=_+$%^&*!@#?]/))
	{
		alert("व्यक्तीचे नावामध्ये चिन्ह नसावे !!!");
		x.focus();
		return false;
	} */
	//enter user type
	var m=document.forms["myform"]["usertype"];
	var y=document.forms["myform"]["deptid"];
	var z=document.forms["myform"]["deskid"];
	
	if(m.value=="")
	{
		alert("कृपया यूजर प्रकार निवडा !!!");
		m.focus();
		return false;
		
	}
	
	else if(m.value=="Department" && y.value=="")
	{		
		alert(" कृपया विभागाचे नाव निवडा!!!");
		y.focus();
		return false;
	}
	
	else if(m.value=="Desk" && y.value=="")
	{
		alert("कृपया  विभागाचे नाव निवडा!!!");
		y.focus();
		return false;
	}
	else if(m.value=="Desk" && z.value=="")
	{
		alert("कृपया  Desk चे निवडा !!!");
		z.focus();
		return false;
	}
	
	//enter sequrity quetion
	var x=document.forms["myform"]["secque"];
	if(x.value=="")
	{
		alert("कृपया सुरक्षा प्रश्न निवडा!!!");
		x.focus();
		return false;
		
	}
	
	//enter security answer
	var x=document.forms["myform"]["secans"];
	if(x.value=="")
	{
		alert("कृपया  सुरक्षा प्रश्नाचे उत्तर टाका !!!");
		x.focus();
		return false;
		
	}
	else if(x.value.length<5)
	{
		alert(" सुरक्षा प्रश्नाचे उत्तर ५ अक्षरापेक्षा जास्त नसावे  !!!");
		x.focus();
		return false;
		
	}
	else if(x.value.length>20)
	{
		alert(" सुरक्षा प्रश्नाचे उत्तर २० अक्षरापेक्षा जास्त नसावे !!!");
		x.focus();
		return false;
		
	}
	
	//Mobile no
	var phonepattern = /^[7-9][0-9]{9}$/
	var x=document.forms["myform"]["mobno"];
	//alert(x.value);
	if(x.value=="")
	{
		alert("कृपया मोबाईल क्रं. टाका !!!");
		x.value="";
		x.focus();
		return false;
	}
	else if(isNaN(x.value))
	{
		alert(" मोबाईल क्रं. मध्ये फक्त अंक असावे  !!!");
		x.value="";
		x.focus();
		return false;
	}
	else if(x.value.length!=10)
	{
		alert(" मोबाईल क्रं. फक्त १० अंकी असावा !!!");
		x.value="";
		x.focus();
		return false;
	}
	else if(!phonepattern.test(x.value))
	{
		alert("अवैध मोबाईल क्रं!!!");
		x.value="";
		x.focus();
		return false;
	}
	
	
	var emailpattern = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/
	var x=document.forms["myform"]["emailid"];
	if(x.value=="")
	{
		alert("कृपया ईमेल आय. डी. टाका !!!");
		x.value="";
		x.focus();
		return false;
	}
	if(x.value.length>60)
	{
		alert("ईमेल आय. डी. ६० अक्षरापेक्षा जास्त नसावा  !!!");
		x.value="";
		x.focus();
		return false;
	}
	else if ((!emailpattern.test(x.value)))
	{
		alert(" अवैध  ईमेल आय. डी. !!!");
		x.value="";
		x.focus();
		return false;
	}
	
}


/*******************************************************************
								Updating User Validations
*******************************************************************/
function validateupdateForm()
{	
	//login id
	var x=document.forms["myform"]["logid"];
	if (x.value=="")
	{
		alert(" कृपया युजर आय.डी. टाका !!");
		x.focus();
		return false;
	}
	else if(x.value.length>20)
	{
		alert(" युजर आय.डी. २० अक्षरापेक्षा जास्त नसावा  !!!");
		x.value="";
		x.focus();
		return false;
	}
		else if(x.value.length<5)
	{
		alert("युजर आय.डी. ५ अक्षरापेक्षा जास्त नसावा  !!!");
		x.value="";
		x.focus();
		return false;
	}

	//user name
	
	var x=document.forms["myform"]["usernm"];
	if (x.value=="")
	{
		alert("कृपया व्यक्तीचे नाव टाका !!!");
		x.value="";
		x.focus();
		return false;
	}
	/* else if(x.value.match(/[0-9]/))
	{
		alert(" व्यक्तीचे नावामध्ये अंक नसावे !!!");
		x.value="";
		x.focus();
		return false;
	}
	/* else if(x.value.match(/[`~,.<>;':"\/\[\]\|{}()-=_+$%^&*!@#?]/))
	{
		alert("व्यक्तीचे नावामध्ये चिन्ह नसावे !!!");
		x.focus();
		return false;
	}*/

	
	
	
	//enter user type
	var m=document.forms["myform"]["usertype"];
	var y=document.forms["myform"]["deptid"];
	var z=document.forms["myform"]["deskid"];
	
	if(m.value=="")
	{
		alert("कृपया यूजर प्रकार निवडा !!!");
		m.focus();
		return false;
		
	}
	
	else if(m.value=="Department" && y.value=="")
	{		
		alert(" कृपया विभागाचे नाव निवडा!!!");
		y.focus();
		return false;
	}
	
	else if(m.value=="Desk" && y.value=="")
	{
		alert("कृपया  विभागाचे नाव निवडा!!!");
		y.focus();
		return false;
	}
	else if(m.value=="Desk" && z.value=="")
	{
		alert("कृपया  Desk चे निवडा !!!");
		z.focus();
		return false;
	}
	

	//Mobile no
	var phonepattern = /^[7-9][0-9]{9}$/
	//var phnno=/^[0-9]\d{2,4}-\d{6,8}$/
	var x=document.forms["myform"]["mobno"];
	//alert(x.value);
	if(x.value=="")
	{
		alert("कृपया मोबाईल क्रं. टाका !!!");
		x.value="";
		x.focus();
		return false;
	}
	else if(isNaN(x.value))
	{
		alert(" मोबाईल क्रं. मध्ये फक्त अंक असावे  !!!");
		x.value="";
		x.focus();
		return false;
	}
	else if(x.value.length!=10)
	{
		alert(" मोबाईल क्रं. फक्त १० अंकी असावा !!!");
		x.value="";
		x.focus();
		return false;
	}
	else if(!phonepattern.test(x.value))
	{
		alert("अवैध मोबाईल क्रं!!!");
		x.value="";
		x.focus();
		return false;
	}
	
	
	var emailpattern = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/
	var x=document.forms["myform"]["emailid"];
	if(x.value=="")
	{
		alert("कृपया ईमेल आय. डी. टाका !!!");
		x.value="";
		x.focus();
		return false;
	}
	if(x.value.length>60)
	{
		alert("ईमेल आय. डी. ६० अक्षरापेक्षा जास्त नसावा  !!!");
		x.value="";
		x.focus();
		return false;
	}
	else if ((!emailpattern.test(x.value)))
	{
		alert(" अवैध  ईमेल आय. डी. !!!");
		x.value="";
		x.focus();
		return false;
	}
	
}


/******************************************************
			function to validate add stamp name
******************************************************/
function validateaddStamp()
{	
	//login id
	var stamppattern = /(^Rs.[0-9]{1,3}$)/;
	var x=document.forms["addstamp"]["stampnm"];
	if(x.value=="")
	{
		alert("कृपया तिकिटाचे नाव टाकावे !!!");
		x.value="";
		x.focus();
		return false;
	}
	if(!stamppattern.test(x.value))
	{
		alert("कृपया तिकिटाचे नाव Rs.5 असे टाकावे  !!!");
		x.focus();
		return false;
	}
	
}


/******************************************************
			function to validate action name
******************************************************/
function validateaddAction()
{	
	//login id
	//var stamppattern = /(^Rs.[0-9]{1,3}$)/;
	var x=document.forms["addaction"]["action_nm"];
	if(x.value=="")
	{
		alert("कृपया कार्यवाहीचे नाव टाकावे !!!");
		x.value="";
		x.focus();
		return false;
	}
	/*if(!stamppattern.test(x.value))
	{
		alert("कृपया तिकिटाचे नाव Rs.5 असे टाकावे  !!!");
		x.focus();
		return false;
	}*/
	
}

/******************************************************
			function to validate Update stamp name
******************************************************/
function validateupdateStamp()
{	
	//login id
	
	var x=document.forms["updatestamp"]["stampid"];
	if(x.value=="")
	{
		alert("कृपया तिकिटाचे नाव निवडा  !!!");
		x.value="";
		x.focus();
		return false;
	}
	var stamppattern = /(^Rs.[0-9]{1,3}$)/;
	var x=document.forms["updatestamp"]["stampnm"];
		if(x.value=="")
	{
		alert("कृपया तिकिटाचे नाव टाकावे !!!");
		x.value="";
		x.focus();
		return false;
	}
	else if(!stamppattern.test(x.value))
	{
		alert("कृपया तिकिटाचे नाव Rs.5 असे टाकावे  !!!");
		x.focus();
		return false;
	}
	
}


/******************************************************
			function to validate add department name
******************************************************/
function validateaddDept()
{	
	//login id
	
	var x=document.forms["adddept"]["deptnm"];
	var z=document.forms["adddept"]["deptdesk"];
	if(x.value=="")
	{	
		alert("कृपया विभागाचे नाव टाका !!!");
		x.value="";
		x.focus();
		return false;
	}
	/* else if(x.value.match(/[`~,<>;':"\/\[\]\|{}()-=+$%^&*!@#?]/))
	{
		alert("विभागाचे नावामध्ये चिन्ह नसावे !!!");
		x.focus();
		return false;
	}
	else if(x.value.length>30)
	{
		alert(" विभागाचे नाव ३० अक्षरापेक्षा जास्त नसावे !!!");
		x.focus();
		return false;
	}*/
	else if(z.value=="")
	{	
		alert("कृपया डेस्क जोडण्याची माहिती टाका !!!");
		z.value="";
		z.focus();
		return false;
	}
	/* else if(z.value.match(/[`~,<>;':"\/\[\]\|{}()-=+$%^&*!@#?]/))
	{
		alert("डेस्क जोडण्याचा  माहितीमध्ये चिन्ह नसावे !!!");
		z.focus();
		return false;
	} */
	else if(z.value.length>1)
	{
		z.value="";
		z.focus();
		return false;
	}
	
	
}



/******************************************************
			function to validate Update department name
******************************************************/
function validateupdateDept()
{	
	var x=document.forms["updatedept"]["deptid"];
	if(x.value=="")
	{
		alert("कृपया विभागाचे  नाव निवडा  !!!");
		x.value="";
		x.focus();
		return false;
	}
	
	
	var x=document.forms["updatedept"]["deptnm"];
	if(x.value=="")
	{	
		alert("कृपया विभागाचे नाव टाका !!!");
		x.value="";
		x.focus();
		return false;
	}
	
	/* else if(x.value.match(/[`~,<>;':"\/\[\]\|{}()-=+$%^&*!@#?]/))
	{
		alert("विभागाचे नावामध्ये चिन्ह नसावे !!!");
		x.focus();
		return false;
	}
	else if(x.value.length>30)
	{
		alert(" विभागाचे नाव ३० अक्षरापेक्षा जास्त नसावे !!!");
		x.focus();
		return false;
	} */
	
	var z=document.forms["updatedept"]["deptdesk"];
	if(z.value=="")
	{	
		alert("कृपया डेस्क जोडण्याची माहिती टाका !!!");
		z.value="";
		z.focus();
		return false;
	}
	/* else if(z.value.match(/[`~,<>;':"\/\[\]\|{}()-=+$%^&*!@#?]/))
	{
		alert("डेस्क जोडण्याचा  माहितीमध्ये चिन्ह नसावे !!!");
		z.focus();
		return false;
	} */
	else if(z.value.length>1)
	{
		z.value="";
		z.focus();
		return false;
	}
}


/******************************************************
			function to validate add desk name
******************************************************/
function validateaddDesk()
{	
	//login id
	
	var x=document.forms["adddesk"]["desknm"];
	if(x.value=="")
	{	
		alert("कृपया डेस्कचे  नाव टाका !!!");
		x.value="";
		x.focus();
		return false;
	}
		
	/* else if(x.value.match(/[`~,<>;':"\/\[\]\|{}()-=+$%^&*!@#?]/))
		{
		alert("डेस्कचे नावामध्ये चिन्ह नसावे !!!");
		x.focus();
		return false;
	}
	else if(x.value.length>30)
	{
		alert(" डेस्कचे नाव ३० अक्षरापेक्षा जास्त नसावे !!!");
		x.focus();
		return false;
		
	}*/
	
	var x=document.forms["adddesk"]["deptno"];
		if(x.value=="")
	{	
		alert("कृपया विभागाचे नाव निवडा  !!!");
		x.value="";
		x.focus();
		return false;
	}
	
}


/******************************************************
			function to validate Update desk name
******************************************************/
function validateupdateDesk()
{	
		var x=document.forms["updatedesk"]["deskno"];
	if(x.value=="")
	{
		alert("कृपया डेस्कचे नाव निवडा  !!!");
		x.value="";
		x.focus();
		return false;
	}
	
	
	var x=document.forms["updatedesk"]["desknm"];
	if(x.value=="")
	{	
		alert("कृपया डेस्कचे नाव टाका !!!");
		x.value="";
		x.focus();
		return false;
	}
	
	/* else if(x.value.match(/[`~,<>;':"\/\[\]\|{}()-=_+$%^&*!@#?]/))
	{
		alert(" डेस्कचे नावामध्ये चिन्ह नसावे !!!");
		x.focus();
		return false;
	}
	else if(x.value.length>30)
	{
		alert(" डेस्कचे नाव ३० अक्षरापेक्षा जास्त नसावे !!!");
		x.focus();
		return false;
	} */
		var x=document.forms["updatedesk"]["deptno"];
	if(x.value=="")
	{
		alert("कृपया विभागाचे नाव निवडा  !!!");
		x.value="";
		x.focus();
		return false;
	}
	
	
}



/******************************************************
			function to validate add sandharbha name
******************************************************/
function validateaddSandarbh()
{	
	
	var x=document.forms["addsandharbh"]["sandharbhnm"];
	if(x.value=="")
	{	
		alert("कृपया संदर्भाचे नाव टाका !!!");
		x.value="";
		x.focus();
		return false;
	}
		else if(x.value.match(/[0-9]/))
	{
		alert(" संदर्भ नावामध्ये अंक नसावे !!!");
		x.value="";
		x.focus();
		return false;
	}
	else if(x.value.match(/[`~,.<>;':"\/\[\]\|{}()-=_+$%^&*!@#?]/))
	{
		alert("संदर्भ नावामध्ये चिन्ह नसावे !!!");
		x.focus();
		return false;
	}
	/*else if(x.value.length>20)
	{
		alert(" संदर्भाचे नाव २० अक्षरापेक्षा जास्त नसावे !!!");
		x.focus();
		return false;
		
	}*/
}


/******************************************************
			function to validate add sandharbha name
******************************************************/
function validateupdateSandarbh()
{		
	var x=document.forms["updatesandharbh"]["sandharbh_id"];
	if(x.value=="")
	{	
		alert("कृपया संदर्भाचे नाव निवडा !!!");
		x.value="";
		x.focus();
		return false;
	}
	
	var x=document.forms["updatesandharbh"]["sandharbh_nm"];
	if(x.value=="")
	{	
		alert("कृपया संदर्भाचे नाव टाका !!!");
		x.value="";
		x.focus();
		return false;
	}
		else if(x.value.match(/[0-9]/))
	{
		alert(" संदर्भ नावामध्ये अंक नसावे !!!");
		x.value="";
		x.focus();
		return false;
	}
	else if(x.value.match(/[`~,.<>;':"\/\[\]\|{}()-=_+$%^&*!@#?]/))
	{
		alert("संदर्भ नावामध्ये चिन्ह नसावे !!!");
		x.focus();
		return false;
	}
	else if(x.value.length>30)
	{
		alert(" संदर्भाचे नाव ३० अक्षरापेक्षा जास्त नसावे !!!");
		x.focus();
		return false;
		
	}
}

/******************************************************
			function to validate avak barnishi name
******************************************************/
function validateAvakbarnishi()
{	

	var x=document.forms["avakbarnishi"]["sp"];
	if (x.value=="")
	{
		alert("संदर्भाचा प्रकार निवडा !!!");
		//x.focus();
		return false;
	}

	//validate sandharbh no 
	var x=document.forms["avakbarnishi"]["refno"];
	if (x.value=="")
	{
		alert("संदर्भाचा क्रमांक टाका !!!");
		x.focus();
		return false;
	}
	/* else if(x.value.length>40)
	{
		alert(" संदर्भाचा क्रमांक 40 पेक्षा जास्त आहे !!!");
		x.value="";
		x.focus();
		return false;
	}*/
	
	//validate ref dt
	var date = /^(0[1-9]|[12][0-9]|3[01])[-](0[1-9]|1[012])[-](19|20)\d\d$/
	var x=document.forms["avakbarnishi"]["refdate"];
	if (x.value=="")
	{
		alert("कृपया संदर्भाची दिनांक टाका !!!");
		x.focus();
		return false;
	}
	else if ((!date.test(x.value)))
	{
		alert("दिनांक 25-03-2014 या पद्धतीने टाका");
		x.value="";
		x.focus();
		return false;
	}
	
	//rec ref dt
	var date = /^(0[1-9]|[12][0-9]|3[01])[-](0[1-9]|1[012])[-](19|20)\d\d$/
	var x=document.forms["avakbarnishi"]["recdate"];
	if (x.value=="")
	{
		alert("कृपया प्राप्त दिनांक टाका !!!");
		x.focus();
		return false;
	}
	else if ((!date.test(x.value)))
	{
		alert("दिनांक 25-03-2014 या पद्धतीने टाका");
		x.value="";
		x.focus();
		return false;
	}
	 //sender name
	var x=document.forms["avakbarnishi"]["sendernm"];
	if (x.value=="")
	{
		alert("कृपया व्यक्तीचे नाव टाका !!!");
		x.value="";
		x.focus();
		return false;
	}
	else if(x.value.match(/[0-9]/))
	{
		alert(" व्यक्तीचे नावामध्ये अंक नसावे !!!");
		x.value="";
		x.focus();
		return false;
	}
	/*else if(x.value.match(/[`~,.<>;':"\/\[\]\|{}()-=_+$%^&*!@#?]/))
	{
		alert("व्यक्तीचे नावामध्ये चिन्ह नसावे !!!");
		x.focus();
		return false;
	}*/

	//subject
	var x=document.forms["avakbarnishi"]["sub"];
	if (x.value=="")
	{
		alert("संदर्भाचा विषय थोडक्यात टाका !!!");
		x.focus();
		return false;
	}
	else if(x.value.length>200)
	{
		alert("संदर्भाचा विषय 200 पेक्षा जास्त नको !!!");
		x.value="";
		x.focus();
		return false;
	}
	
	
	
	
	
	
	
	
	var y=document.forms["avakbarnishi"]["sp"].value;
	
	if(y=='shaskiy')
	{
		//ltrtype
		var x=document.forms["avakbarnishi"]["ltrtypec"];
		if (x.value=="")
		{
			alert("संदर्भाचा प्रकार निवडा !!!");
			x.focus();
			return false;
		}
	}
	
	
	
	
	
	
	
	
	
	
	//email
	var emailpattern = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/
	var x=document.forms["avakbarnishi"]["email"];
	/*if(x.value=="")
	{
		alert("कृपया ईमेल आय. डी. टाका !!!");
		x.value="";
		x.focus();
		return false;
	} */
	if(x.value!="")
	{
		if(x.value.length>60)
		{
			alert("ईमेल आय. डी. ६० अक्षरापेक्षा जास्त नसावा  !!!");
			x.value="";
			x.focus();
			return false;
		}
		else if ((!emailpattern.test(x.value)))
		{
			alert(" अवैध  ईमेल आय. डी. !!!");
			x.value="";
			x.focus();
			return false;
		}
	}
	//Mobile no
	var phonepattern = /^[7-9][0-9]{9}$/
	//var phnno=/^[0-9]\d{2,4}-\d{6,8}$/
	var x=document.forms["avakbarnishi"]["mobno"];
	//alert(x.value);
	/*if(x.value=="")
	{
		alert("कृपया मोबाईल क्रं. टाका !!!");
		x.value="";
		x.focus();
		return false;
	} */
	if(x.value!="")
	{
		if(isNaN(x.value))
		{
			alert(" मोबाईल क्रं. मध्ये फक्त अंक असावे  !!!");
			x.value="";
			x.focus();
			return false;
		}
		else if(x.value.length!=10)
		{
			alert(" मोबाईल क्रं. फक्त १० अंकी असावा !!!");
			x.value="";
			x.focus();
			return false;
		}
		else if(!phonepattern.test(x.value))
		{
			alert("अवैध मोबाईल क्रं!!!");
			x.value="";
			x.focus();
			return false;
		}
	}
	
	//address
	var x=document.forms["avakbarnishi"]["add"];
	if (x.value=="")
	{
		alert("पत्ता टाका !!!");
		x.focus();
		return false;
	}
	else if(x.value.length>200)
	{
		alert("पत्ता 200 पेक्षा जास्त नको !!!");
		x.value="";
		x.focus();
		return false;
	}
	else if(x.value.match(/[`~<>'"\[\]\|{}()=+$%^&*!@#?]/))
	{
		alert("पत्तामध्ये चिन्ह नसावे !!!");
		x.value="";
		x.focus();
		return false;
	}

//file upload
	var x=document.forms["avakbarnishi"]["uploadedimage"];
	var _validFileExtensions = [".jpg", ".jpeg", ".bmp", ".gif", ".png", ".pdf"];    
	if(x.value!='')
    { 
		var sFileName = x.value;
        if (sFileName.length > 0) 
		 {
            var blnValid = false;
            for (var j = 0; j < _validFileExtensions.length; j++) 
			{
                var sCurExtension = _validFileExtensions[j];
                if (sFileName.substr(sFileName.length - sCurExtension.length, sCurExtension.length).toLowerCase() == sCurExtension.toLowerCase()) 
				{
                    blnValid = true;
                    break;
                }
            }
             
            if (!blnValid)
			{
                alert("Sorry, " + sFileName + " is invalid, allowed extensions are: " + _validFileExtensions.join(", "));
                x.value = "";
                return false;
            }
		}
     return true;
	}
}

/******************************************************
function to validate Returb by desk name
******************************************************/
function validateRtnByDpt()
{
	var x=document.forms["rtnfromdpt"]["rtnchoice"];
	if (x.value=="")
	{
		alert("पर्याय निवडा  !!!");
		x.focus();
		return false;
	}
	
	var y=document.forms["rtnfromdpt"]["dpt"];
	if (x.value=='Department' && y.value=="")
	{
		alert("कृपया विभाग निवडा  !!!");
		y.focus();
		return false;
	}
}




/******************************************************
			function to validate perform action/allocate status
******************************************************/
function validateallocateStatus()
{
	var x=document.forms["performactionform"]["category"];
	if (x.value=="")
	{
		alert("पर्याय निवडा  !!!");
		x.focus();
		return false;
	}
	
	var y=document.forms["performactionform"]["assign_no"];

	if (x.value=='current' && y.value=="")
	{
		alert("कृपया संदर्भ निवडा  !!!");
		y.focus();
		return false;
	}
}

/******************************************************
			function to validate perform action
******************************************************/
function validateperformaction()
{
	var x=document.forms["performaction"]["actiontake1"];
	if (x.value=="" || x.value=="SELECT")
	{
		alert("केलेली कार्यवाही टाका  !!!");
		x.focus();
		return false;
	}
	else
	{
		var y=document.forms["performaction"]["actiontake1"];
		if (y.value=="other")
		{
			var z=document.forms["performaction"]["actiontake"];
			if(z.value=="")
			{
				alert("केलेली कार्यवाही टाका  !!!");
				z.focus();
				return false;
			}
		}
	}

}

function validateperformaction1()
{
	var x=document.forms["performaction"]["actiontake1"];
	if (x.value=="" || x.value=="SELECT")
	{
		alert("केलेली कार्यवाही टाका  !!!");
		x.focus();
		return false;
	}
	else
	{
		var y=document.forms["performaction"]["actiontake1"];
		if (y.value=="other")
		{
			var z=document.forms["performaction"]["actiontake"];
			if(z.value=="")
			{
				alert("केलेली कार्यवाही टाका  !!!");
				z.focus();
				return false;
			}
		}
	}
	
	var y=document.forms["performaction"]["ltrtype"];

	if (y.value=="")
	{
		alert("कृपया जतन प्रकार निवडा  !!!");
		y.focus();
		return false;
	} 
}


/******************************************************
			function to validate dispatch action
******************************************************/
function validateDispatch()
{
var x=document.forms["myform"]["dispatchmethod"];
if (x.value=="")
	{
		alert("केलेली कार्यवाही टाका  !!!");
		x.focus();
		return false;
	}
	
var y=document.forms["myform"]["dispatchmethod"];	
var x=document.forms["myform"]["usertype"];
if (x.value=="" && y.value=="permanent")
{
		alert("युजरचा प्रकार निवडा  !!!");
		x.focus();
		return false;
	}


var y=document.forms["myform"]["dispatchmethod"];	
var x=document.forms["myform"]["deptid"];
if (x.value=="" && y.value=="department")
{
		alert("विभाग  निवडा  !!!");
		x.focus();
		return false;
}

var y=document.forms["myform"]["dispatchmethod"];	
var x=document.forms["myform"]["deskid"];
if (x.value=="" && y.value=="desk")
{
		alert("डेस्क  निवडा  !!!");
		x.focus();
		return false;
}

var x=document.forms["myform"]["usertype"];
var y=document.forms["myform"]["othername"];
	
if (x.value=="other" && y.value=='')
{
		alert("कृपया व्यक्तीचे नाव टाका !!!");
		x.focus();
		return false;
}	

var x=document.forms["myform"]["usertype"];
var y=document.forms["myform"]["dispatchmethod"];
var z=document.forms["myform"]["dispatchtype"];
var a=document.forms["myform"]["ltrtype"];
if(y.value=="permanent" && (x.value=='other' ||x.value=='same') && a.value=='')
{
		alert("कृपया जतन प्रकार निवडा  !!!");
		x.focus();
		return false;
}
else if(y.value=="permanent" && (x.value=='other' ||x.value=='same') && z.value=='')
{
		alert("कृपया पाठवणीचा प्रकार निवडा  !!!");
		z.focus();
		return false;
}


var x=document.forms["myform"]["usertype"];
var y=document.forms["myform"]["dispatchmethod"];
var z=document.forms["myform"]["dispatchtype"];
var a=document.forms["myform"]["emailid"];
var emailpattern = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/
if(y.value=="permanent" && x.value=='other' && (z.value=='email'||z.value=='emailpost') && a.value=='' )
{
	alert("कृपया ईमेल आय. डी. टाका !!!");
		a.value="";
		a.focus();
		return false;
}
else if(y.value=="permanent" && x.value=='other' && (z.value=='email'||z.value=='emailpost') && a.value=='x.value.length>60' )
	{
		alert("ईमेल आय. डी. ६० अक्षरापेक्षा जास्त नसावा  !!!");
		a.value="";
		a.focus();
		return false;
	}
	else if (y.value=="permanent" && x.value=='other' && (z.value=='email'||z.value=='emailpost') &&(!emailpattern.test(a.value)))
	{
		alert(" अवैध  ईमेल आय. डी. !!!");
		a.value="";
		a.focus();
		return false;
	}
	
var x=document.forms["myform"]["usertype"];
var y=document.forms["myform"]["dispatchmethod"];
var z=document.forms["myform"]["dispatchtype"];
var a=document.forms["myform"]["add"];


	if(y.value=="permanent" && x.value=='other' && (z.value=='post'||z.value=='emailpost') && a.value=='' )
	{
		alert("पत्ता थोडक्यात टाका !!!");
		a.focus();
		return false;
	}
	else if(y.value=="permanent" && x.value=='other' && (z.value=='post'||z.value=='emailpost') && a.value.length>200)
	{
		alert("पत्ता 200 पेक्षा जास्त नको !!!");
		a.value="";
		a.focus();
		return false;
	}
	else if(y.value=="permanent" && x.value=='other' && (z.value=='post'||z.value=='emailpost') && a.value.match(/[`~,.<>;':"\/\[\]\|{}()-=_+$%^&*!@#?]/))
	{
		alert("पत्तामध्ये चिन्ह नसावे !!!");
		a.focus();
		return false;
	}
}	
	
/******************************************************
			function to validate password
******************************************************/
function passwordValidation()
{	
	var y=document.forms["changepw"]["newpass"];	
	var x=document.forms["changepw"]["repass"];
	if(y.value=="" || x.value=="")
	{	
		alert("पासवर्ड  टाका !!!");
		y.focus();
		return false;
	}
	else if(y.value=="" && x.value!="")
	{
		alert("पासवर्ड  टाका !!!");
		y.focus();
		return false;
	}
	else if(x.value=="" && y.value!="")
	{
		alert("पासवर्ड परत टाका !!!");
		x.focus();
		return false;
	}
	else if (x.value != y.value)
	{
		alert("पासवर्ड चुकीचा आहे !!!");
		x.value='';
		y.value='';
		y.focus();
		return false;
	}
		
}

/******************************************************
			function to validate security ques
******************************************************/
function sequesValidation()
{
	var y=document.forms["changeseq"]["secque"];	
	var x=document.forms["changeseq"]["ans"];
	if(y.value=="")
	{
		alert("सुरक्षा प्रश्न निवडा !!!");
		y.focus();
		return false;
	}
	else if(x.value=="")
	{
		alert("सुरक्षा प्रश्नाचे उत्तर  टाका !!!");
		x.focus();
		return false;
	}
		
}


/******************************************************
			function to validate stamp purchase details
******************************************************/
function stampPurchase()
{
var x=document.forms["stampdetails"]["stampid"];
if (x.value=="")
{
	alert("कृपया तिकिटाचे नाव निवडा  !!!");
	x.focus();
	return false;
}

var x=document.forms["stampdetails"]["qty"];
if (x.value=="")
{
	alert("कृपया तिकिटाचे नग टाका  !!!");
	x.focus();
	return false;
}
else if(x.value.length > 5 )
	{
		alert(" अवैध नग  !!!");
		x.value="";
		x.focus();
		return false;
	}

else if( !x.value.match(/^[0-9\b]+$/))
	{
		alert(" कृपया फक्त अंक टाका !!!");
		x.value="";
		x.focus();
		return false;
	}

var x=document.forms["stampdetails"]["amt"];
if (x.value=="")
{
	alert("कृपया तिकिटाचे रक्कम टाका  !!!");
	x.focus();
	return false;
}

else if(! x.value.match(/^-?\d+\.?(\d{2})?$/))
{
	alert(" कृपया रक्कम १२०.०० अशा प्रकारे टाकावी  !!!");
	x.value="";
	x.focus();
	return false;
}

var date = /^(0[1-9]|[12][0-9]|3[01])[-](0[1-9]|1[012])[-](19|20)\d\d$/
	var x=document.forms["stampdetails"]["purchasedate"];
	if (x.value=="")
	{
		alert("कृपया दिनांक टाका !!!");
		x.focus();
		return false;
	}
	else if ((!date.test(x.value)))
	{
		alert("दिनांक 25-03-2014 या पद्धतीने टाका");
		x.value="";
		x.focus();
		return false;
	}
	
/*	
var x=document.forms["stampdetails"]["supnm"];
	if (x.value=="")
	{
		alert("कृपया व्यक्तीचे नाव टाका !!!");
		x.value="";
		x.focus();
		return false;
	}
	else if(x.value.match(/[0-9]/))
	{
		alert(" व्यक्तीचे नावामध्ये अंक नसावे !!!");
		x.value="";
		x.focus();
		return false;
	}
	else if(x.value.match(/[`~,.<>;':"\/\[\]\|{}()-=_+$%^&*!@#?]/))
	{
		alert("व्यक्तीचे नावामध्ये चिन्ह नसावे !!!");
		x.focus();
		return false;
	} */
}

/******************************************************
			function to validate dates
******************************************************/

function sadyasthitiDate()
{
var x=document.forms["sadyasthiti"]["start_date"];	
var y=document.forms["sadyasthiti"]["end_date"];
var date = /^(0[1-9]|[12][0-9]|3[01])[-](0[1-9]|1[012])[-](19|20)\d\d$/
var d = (x.value)+"";

var c= (y.value)+"";
if(x.value=="")
{
	alert("कृपया Start date टाका  !!!");
	x.focus();
	return false;
}
else if ((!date.test(x.value)))
	{
		alert("दिनांक 25-03-2014 या पद्धतीने टाका");
		x.value="";
		x.focus();
		return false;
	}
else if(y.value=="")
{
	alert("कृपया End Date टाका  !!!");
	y.focus();
	return false;
}	
else if ((!date.test(y.value)))
	{
		alert("दिनांक 25-03-2014 या पद्धतीने टाका");
		y.value="";
		y.focus();
		return false;
	}
else if(d.value > c.value)
{
	alert("Start date ही  End Date पेक्षा लहान असावी !!!");
	y.value="";
	y.focus();
	return false;
}

}

/******************************************************
			function to validate dates type 2
******************************************************/

function sadyasthitiDates()
{
var x=document.forms["sadyasthiti"]["start_date"];	
var y=document.forms["sadyasthiti"]["end_date"];
var z=document.forms["sadyasthiti"]["datetype"];

var d = (x.value)+"";
var c= (y.value)+"";
var date = /^(0[1-9]|[12][0-9]|3[01])[-](0[1-9]|1[012])[-](19|20)\d\d$/

if(z.value=="")
{
	alert("कृपया कृपया तारखेचा प्रकार निवडा   !!!");
	z.focus();
	return false;
}

if(x.value=="")
{
	alert("कृपया Start date टाका  !!!");
	x.focus();
	return false;
}
else if ((!date.test(x.value)))
	{
		alert("दिनांक 25-03-2014 या पद्धतीने टाका");
		x.value="";
		x.focus();
		return false;
	}
else if(y.value=="")
{
	alert("कृपया End Date टाका  !!!");
	y.focus();
	return false;
}	
else if ((!date.test(y.value)))
	{
		alert("दिनांक 25-03-2014 या पद्धतीने टाका");
		y.value="";
		y.focus();
		return false;
	}
else if(d.value > c.value)
{
	alert("Start date ही  End Date पेक्षा लहान असावी !!!");
	y.value="";
	y.focus();
	return false;
}

}
